--[[_G.luanet = luanet
_G.player = player
_G.cutsceneEntity = cutsceneEntity
_G.helpers = helpers

local credits = require("Assets/bitsbolts/Lua/credits");
local tablex = require("Assets/bitsbolts/Lua/tablex");

local Engine = require("#Monocle.Engine");
local Dialog = require("#Celeste.Dialog");

function onBegin()
	disableMovement()
	local screen = credits.get_screen_size()
	scroller = credits.create_center(screen.X * .5, screen.Y * .5, screen.X * .6, screen.Y * 1.0)
	log("Credit scene started", "Legend of the Three Sisters")
	credits.add_text(scroller, "LOT3S_credits")
	wait(60)
end

function onEnd()
  scroller:RemoveSelf()
  log("Credit scene ended", "Legend of the Three Sisters")
end
]]

-- luacutscenes jank
_G.luanet = luanet
_G.player = player
_G.cutsceneEntity = cutsceneEntity
_G.helpers = helpers

local credits = require("Assets/bitsbolts/Lua/credits")
local tablex = require("Assets/bitsbolts/Lua/tablex")

local Engine = require("#Monocle.Engine")
local Dialog = require("#Celeste.Dialog")


function onTalk()
  log("talk")

  local screen = credits.get_screen_size()
  scroller = credits.create_center(screen.X * .5, screen.Y * .5, screen.X * .6, screen.Y * 1.0)
  credits.add_text(scroller, "bitsbolts_creditsdemo")
  -- todo: need to implement proper oncomplete support as a coroutine?
  wait(50)
end

function onEnd()
  scroller:RemoveSelf()
  log("hi4")
end
